pub const SHA2_256_HASH_BITS: usize = 256;
pub const SHA2_256_HASH_BYTES: usize = SHA2_256_HASH_BITS / 8;
pub const SHA2_256_HASH_PARTS: usize = SHA2_256_HASH_BYTES / 4 /* storing with u32 */;
pub const SHA2_256_BLOCK_SIZE: usize = 2 * SHA2_256_HASH_BYTES;

pub type Digest = [u32; SHA2_256_HASH_PARTS];

#[macro_export]
macro_rules! digest {
    ($($block:literal$(,)?)+) => {
        [$($block,)+ ]
    };
}

pub(crate) const DIGEST_EMPTY: Digest = [0; SHA2_256_HASH_PARTS];
